package cn.superdesk.uniorder.dubbo.facade.invoice.customer.invoiced;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedOperationLog;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedOperationLogParam;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedOperationLogQueryCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 应收账款-操作日志-操作留痕
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-07-28 15:28:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-07-28 15:28:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboInvoiceInvoicedOperationLogService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(InvoiceInvoicedOperationLogParam param);

	@Deprecated
	void updateObj(InvoiceInvoicedOperationLogParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	InvoiceInvoicedOperationLog findById(Long id);

	@Deprecated
	PageInfo<InvoiceInvoicedOperationLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<InvoiceInvoicedOperationLog> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addInvoiceInvoicedOperationLog(InvoiceInvoicedOperationLogParam param);

	void updateInvoiceInvoicedOperationLog(InvoiceInvoicedOperationLogParam param);

	void deleteInvoiceInvoicedOperationLog(Long id);

	InvoiceInvoicedOperationLog findInvoiceInvoicedOperationLogById(Long id);

	R<List<InvoiceInvoicedOperationLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<InvoiceInvoicedOperationLog>> pageQueryGenericParam(InvoiceInvoicedOperationLogQueryCriteria queryCriteria);
}
